<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".view.editOrganization.EditOrganizationActivity"
    tools:ignore="Autofill,ContentDescription,PrivateResource">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingStart="20dp"
            android:paddingEnd="20dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <ImageView
                        android:id="@+id/image_organization_picture"
                        android:layout_width="200dp"
                        android:layout_height="200dp"
                        android:layout_centerHorizontal="true"
                        android:layout_gravity="center_horizontal"
                        tools:srcCompat="@android:drawable/ic_menu_report_image" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignTop="@id/image_organization_picture"
                        android:layout_alignBottom="@id/image_organization_picture"
                        android:layout_toEndOf="@id/image_organization_picture"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/btn_edit_organization_picture"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="10dp"
                            android:src="@drawable/ic_edit_black_24dp" />

                    </LinearLayout>

                </RelativeLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="20dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@string/organization_name" />

                    <EditText
                        android:id="@+id/text_organization_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:layout_weight="2"
                        android:hint="@string/hint_organization_name"
                        android:inputType="text" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="20dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@string/web_page" />

                    <EditText
                        android:id="@+id/text_web_page"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:layout_weight="2"
                        android:hint="@string/hint_web_page"
                        android:inputType="textUri" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="20dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@string/address" />

                    <EditText
                        android:id="@+id/text_address"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:layout_weight="2"
                        android:hint="@string/hint_address"
                        android:inputType="textPostalAddress" />

                </LinearLayout>

            </LinearLayout>

            <Button
                android:id="@+id/btn_save"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:text="@string/save" />

        </LinearLayout>

    </ScrollView>

</RelativeLayout>